# Google Cloud Deployment Manager API V2 . manifests

## Instance Methods

Gets information about a specific manifest.

Lists all manifests for a given deployment.

Retrieves the next page of results.

### Method Details

`get(project, deployment, manifest)`

    Gets information about a specific manifest.

    Args:
      project: string, The project ID for this request. (required)
      deployment: string, The name of the deployment for this request. (required)
      manifest: string, The name of the manifest for this request. (required)

    Returns:
      An object of the form:

        {
        "layout": "A String", # [Output Only] The YAML layout for this manifest.
        "name": "A String", # [Output Only] The name of the manifest.
        "imports": [ # [Output Only] The imported files for this manifest.
          {
            "content": "A String", # The contents of the file.
            "name": "A String", # The name of the file.
          },
        ],
        "evaluatedConfig": "A String", # [Output Only] The fully-expanded configuration file, including any templates and references.
        "insertTime": "A String", # [Output Only] Timestamp when the manifest was created, in RFC3339 text format.
        "config": "A String", # [Output Only] The YAML configuration for this manifest.
        "id": "A String", # [Output Only] Unique identifier for the resource; defined by the server.
        "selfLink": "A String", # [Output Only] Self link for the manifest.
      }

`list(project, deployment, maxResults=None, pageToken=None, filter=None)`

    Lists all manifests for a given deployment.

    Args:
      project: string, The project ID for this request. (required)
      deployment: string, The name of the deployment for this request. (required)
      maxResults: integer, Maximum count of results to be returned.
      pageToken: string, Tag returned by a previous list request when that list was truncated to maxResults. Used to continue a previous list request.
      filter: string, Filter expression for filtering listed resources.

    Returns:
      An object of the form:

        { # A response containing a partial list of manifests and a page token used to build the next request if the request has been truncated.
        "nextPageToken": "A String", # [Output Only] A token used to continue a truncated list request.
        "manifests": [ # [Output Only] Manifests contained in this list response.
          {
            "layout": "A String", # [Output Only] The YAML layout for this manifest.
            "name": "A String", # [Output Only] The name of the manifest.
            "imports": [ # [Output Only] The imported files for this manifest.
              {
                "content": "A String", # The contents of the file.
                "name": "A String", # The name of the file.
              },
            ],
            "evaluatedConfig": "A String", # [Output Only] The fully-expanded configuration file, including any templates and references.
            "insertTime": "A String", # [Output Only] Timestamp when the manifest was created, in RFC3339 text format.
            "config": "A String", # [Output Only] The YAML configuration for this manifest.
            "id": "A String", # [Output Only] Unique identifier for the resource; defined by the server.
            "selfLink": "A String", # [Output Only] Self link for the manifest.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.